---
title: pulsar
type: input
status: experimental
categories: ["Services"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/input/pulsar.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::caution EXPERIMENTAL
This component is experimental and therefore subject to change or removal outside of major version releases.
:::
Reads messages from an Apache Pulsar server.

Introduced in version 3.43.0.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
input:
  label: ""
  pulsar:
    url: ""
    topics: []
    subscription_name: ""
    subscription_type: ""
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
input:
  label: ""
  pulsar:
    url: ""
    topics: []
    subscription_name: ""
    subscription_type: ""
    auth:
      oauth2:
        enabled: false
        audience: ""
        issuer_url: ""
        private_key_file: ""
      token:
        enabled: false
        token: ""
```

</TabItem>
</Tabs>

### Metadata

This input adds the following metadata fields to each message:

```text
- pulsar_message_id
- pulsar_key
- pulsar_ordering_key
- pulsar_event_time_unix
- pulsar_publish_time_unix
- pulsar_topic
- pulsar_producer_name
- pulsar_redelivery_count
- All properties of the message
```

You can access these metadata fields using
[function interpolation](/docs/configuration/interpolation#metadata).

## Fields

### `url`

A URL to connect to.


Type: `string`  
Default: `""`  

```yaml
# Examples

url: pulsar://localhost:6650

url: pulsar://pulsar.us-west.example.com:6650

url: pulsar+ssl://pulsar.us-west.example.com:6651
```

### `topics`

A list of topics to subscribe to.


Type: `array`  
Default: `[]`  

### `subscription_name`

Specify the subscription name for this consumer.


Type: `string`  
Default: `""`  

### `subscription_type`

Specify the subscription type for this consumer.


Type: `string`  
Default: `"shared"`  
Options: `shared`, `key_shared`, `failover`, `exclusive`.

### `auth`

Optional configuration of Pulsar authentication methods.


Type: `object`  
Requires version 3.60.0 or newer  

### `auth.oauth2`

Parameters for Pulsar OAuth2 authentication.


Type: `object`  

### `auth.oauth2.enabled`

Whether OAuth2 is enabled.


Type: `bool`  
Default: `false`  

```yaml
# Examples

enabled: true
```

### `auth.oauth2.audience`

OAuth2 audience.


Type: `string`  
Default: `""`  

### `auth.oauth2.issuer_url`

OAuth2 issuer URL.


Type: `string`  
Default: `""`  

### `auth.oauth2.private_key_file`

File containing the private key.


Type: `string`  
Default: `""`  

### `auth.token`

Parameters for Pulsar Token authentication.


Type: `object`  

### `auth.token.enabled`

Whether Token Auth is enabled.


Type: `bool`  
Default: `false`  

```yaml
# Examples

enabled: true
```

### `auth.token.token`

Actual base64 encoded token.


Type: `string`  
Default: `""`  


